Refresh Runs
Headless refresh run operations.
Operations
Each operation lists its specific responses. See Common error responses for errors shared by every operation on this page.
List refresh runs
GET /api/v1/workspaces/{workspace}/refresh-runs
Operation ID: listRefreshRuns
Effect: read
Confirmation: never
Required privilege: USE_WORKSPACE
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Create a refresh run
POST /api/v1/workspaces/{workspace}/refresh-runs
Operation ID: createRefreshRun
Effect: write
Confirmation: conditional
Required privilege: USE_WORKSPACE
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
Get a refresh run
GET /api/v1/workspaces/{workspace}/refresh-runs/{run}
Operation ID: getRefreshRun
Effect: read
Confirmation: never
Required privilege: USE_WORKSPACE
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
run |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Cancel a refresh run
POST /api/v1/workspaces/{workspace}/refresh-runs/{run}/cancel
Operation ID: cancelRefreshRun
Effect: write
Confirmation: conditional
Required privilege: USE_WORKSPACE
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
run |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
List or stream refresh run events
GET /api/v1/workspaces/{workspace}/refresh-runs/{run}/events
Operation ID: listRefreshRunEvents
Effect: read
Confirmation: never
Required privilege: USE_WORKSPACE
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
run |
path | Yes | string | |
accept |
header | No | string | |
Last-Event-ID |
header | No | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Common error responses
These error responses apply to every operation on this page.
| Status | Description |
|---|---|
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
412 |
Precondition failed. |
413 |
Client error |
415 |
Client error |
422 |
Client error |
429 |
Client error |
500 |
Server error |
502 |
Server error |
503 |
Service unavailable. |